// priority: 0

onEvent('recipes', event => {
    //removal
    removeRecipeByID(event, [
        CRAD("crude_burning/plantoil"),

        //w/o replace
        CRAD("compacting/seed_oil"),
        CRAD("seed_oil_bucket"),
        CRAD("mechanical_crafting/overcharged_hammer"),
        CRAD("crafting/diamond_grit_sandpaper"),
        CRAD("crafting/overcharged_casing"),
        TC("smeltery/casting/metal/iron/wire_sand_cast"),
        TC("smeltery/casting/metal/iron/wire_gold_cast"),
        /createaddition:compat/,
        /createaddition:crushing/,
        /createaddition:pressing/,
        /createaddition:rolling/,
    ])

    //new fuels to crude burner
    function addCrudeFuel(fuel, amount, burnTime) {
        event.custom({
            "type":CRAD("crude_burning"),
            "input": {
                  "fluid": fuel,
                  "amount": amount
            },
            "burnTime": burnTime
        })
    }
    addCrudeFuel(MC("lava"), 1000, 1200)
    addCrudeFuel(TC("blazing_blood"), 1000, 2400)
    addCrudeFuel(TC("molten_ender"), 1000, 3600)
    addCrudeFuel(IF("pink_slime"), 1000, 4800)
    addCrudeFuel(MG("fusion_fuel"), 1000, 6000)

    //wires
    event.custom({
        "type":CRAD("rolling"),
        "input": { "tag": F("plates/copper") },
        "result": { "item": CRAD("copper_wire"), "count": 2 }
    })
    event.custom({
        "type":CRAD("rolling"),
        "input": { "tag": F("plates/gold") },
        "result": { "item": CRAD("gold_wire"), "count": 2 }
    })
	
	//extended crafting recipes for only mech crafted stuff
	event.recipes.extendedcrafting.shaped_table(CRAD('accumulator'), [
		' A A ',
		'BCDCB',
		'BCECB',
		'BCDCB',
	], {
		A: CRAD('connector'),
		B: F("#plates/brass"),
		C: CRAD("capacitor"),
		D: CRAD("gold_spool"),
		E: CR("brass_casing"),
	})
	event.recipes.extendedcrafting.shaped_table(CRAD('electric_motor'), [
		'  A  ',
		' BCB ',
		'BCDCB',
		' BEB ',
	], {
		A: CR('andesite_alloy'),
		B: F("#plates/brass"),
		C: CRAD("copper_spool"),
		D: F("#rods/iron"),
		E: CRAD("capacitor"),
	})
	event.recipes.extendedcrafting.shaped_table(CRAD('alternator'), [
		'  A  ',
		' BCB ',
		'BCDCB',
		' BEB ',
	], {
		A: CR('andesite_alloy'),
		B: F("#plates/iron"),
		C: CRAD("copper_spool"),
		D: F("#rods/iron"),
		E: CRAD("capacitor"),
	})

})